# Glossary

<table><thead><tr><th width="203">Term</th><th>Description</th></tr></thead><tbody><tr><td>Folder</td><td>A collection of SQL scripts on the file system that are the source code for visualizations.</td></tr><tr><td>Datasource</td><td>A SQL or NoSQL database that ChartSQL can connect to you run visualization queries against.</td></tr><tr><td>Directives</td><td>'Directives', @directives or 'at directives' - These are the annotations in a script that tell ChartSQL how to visualize your query.</td></tr><tr><td>Publisher</td><td>An individual with publishing rights to a ChartSQL.com folder/package</td></tr><tr><td>Script</td><td>A SQL Script that you wish to visualize.</td></tr><tr><td>Studio</td><td>Shorthand for ChartSQL Studio.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartsql.com/reference/glossary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
